<div class="columns">
  <div class="column">
    <article class="media">
      <div class="media-left is-hidden-touch">
        <figure class="image is-64x64" ng-if="article.departmentId != -1">
          <img src="assets/img/logos/sg_logo_{{article.departmentId}}.png"
               alt="SG-Logo">
        </figure>
      </div>

      <div class="media-content">
        <div class="content">
          <p>
            <strong>{{article.title}}</strong>
            <small>{{article.updatedAt | date:'EEE, dd.MM.yyyy - HH:mm'}}</small>
            <br />
          </p>
          <div class="content"
               ng-bind-html="article.shortText">
          </div>
          <!--<div class="content"
               ng-if="showMore"
               ng-bind-html="article.longText">
          </div>-->
          <p ng-if="article.longText.length > 0">
            <button type="button"
                    class="button is-small is-outlined"
                    ng-click="toggleMore()">
              {{showMore ? 'Weniger' : 'Mehr'}} anzeigen
            </button>
          </p>

          <p ng-if="article.links.length > 0">
            <a ng-click="toggleAppendices()" class="article-box-link">
              {{appendicesVisible ? 'Anhänge verstecken' : 'Anhänge zeigen'}}
              <span class="icon"><i class="fa fa-angle-{{appendicesVisible ? 'up' : 'down'}}"></i></span>
            </a>
          </p>
          <nav class="panel"
               ng-if="appendicesVisible">
            <a class="panel-block"
               ng-repeat="link in article.links"
               ng-href="{{ getURL(link) }}"
               target="_blank">
              <span class="icon is-small"><i class="fa fa-file-o"></i></span> {{link.name}}
            </a>
          </nav>
        </div>
      </div>
    </div>
    <div class="column is-one-quarter" ng-if="controls">
      <div class="control">
        <button type="button" class="button">Edit</button>
        <button type="button" class="button is-danger">Delete</button>
      </div>
    </div>
  </div>
</div>